from django.urls import path, include
from rest_framework import routers

from webservice_running import views
from webservice_running.apiviews import *

app_name = 'webservice_running'

router = routers.DefaultRouter()
router.register(r'webservice', OrdersLocalMVS)
router.register(r'personinfo', PersonInfoMVS)
router.register(r'frequentaddress', FrequentaddressMVS)
router.register(r'favoritecontacts', FavoritecontactsMVS)
router.register(r'preferreddrivers', PreferreddriversMVS)

urlpatterns = [
    path('order_reg/', views.order_reg, name="order_reg"),
    path('api/', include(router.urls), name="webservice_running_api"),
]
